<div class="container">
  <h2>
    Ticket #<%= ticket.id %>
  </h2>
  <hr/>
  <div class="row field">
    <div class="col-sm-2 control-label">
      <label>
        <%= Ticket.human_attribute_name(:request_number) %>
      </label>
    </div>
    <div class="col-sm-10">
      <p>
        <%= ticket.request_number %>
      </p>
    </div>
  </div>
  <div class="row field">
    <div class="col-sm-2">
      <label>
        <%= Ticket.human_attribute_name(:sequence_number) %>
      </label>
    </div>
    <div class="col-sm-10">
      <p>
        <%= ticket.sequence_number %>
      </p>
    </div>
  </div>
  <% if ticket.request_type %>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Ticket.human_attribute_name(:request_type) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.request_type.capitalize %>
        </p>
      </div>
    </div>
  <% end %>
  <% if ticket.service_areas %>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Ticket.human_attribute_name(:service_areas) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.service_areas %>
        </p>
      </div>
    </div>
  <% end %>
  <% if ticket.response_due_time %>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Ticket.human_attribute_name(:response_due_time) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.due_time %>
        </p>
      </div>
    </div>
  <% end %>
  <% if ticket.polygon %>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Ticket.human_attribute_name(:polygon) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.polygon_coordinates %>
        </p>
      </div>
    </div>
  <% end %>
  <% if ticket.excavator %>
    <hr/>
    <h3>
      Excavator #<%= ticket.excavator_id %>
    </h3>
    <hr/>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Excavator.human_attribute_name(:company_name) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.excavator_company_name %>
        </p>
      </div>
    </div>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Excavator.human_attribute_name(:manned) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.excavator_manned_text %>
        </p>
      </div>
    </div>
    <div class="row field">
      <div class="col-sm-2">
        <label>
          <%= Address.human_attribute_name(:address_line) %>
        </label>
      </div>
      <div class="col-sm-10">
        <p>
          <%= ticket.full_address %>
        </p>
      </div>
    </div>
  <% end %>
  <% if ticket.polygon %>
    <hr/>
    <h3>
      <%= 'Area' %>
    </h3>
    <hr/>
    <div id="map" style="width: 100%; height: 800px" data-coordinates="<%= ticket.serialized_coordinates%>"></div>
  <% end %>
</div>